# 1. Check

## Check

<mark style="color:blue;">`GET`</mark> `{{Base Address}}/api/v1/fraud/blacklist/check?entryType=1&value=xxxx@gmail.com`

It is sufficient to send a request to the address provided above. You can use the **Base Address** as needed for both the test environment and the live environment.

{% hint style="info" %}
**Important:** To use the **Fraud – Blacklist – Check** service, you must include the **apikeyprivate** and **apiclientprivate** parameters in the **Header**.\
\
[<mark style="color:green;">**FraudAPI Address**</mark>](/payment-orchestration-integration-document/environment.md)
{% endhint %}

#### The header information to be sent to the service is as follows:

<table><thead><tr><th width="200.15625">Parameter</th><th width="106.33333333333331">Type</th><th width="139.0625">Compolsory</th><th>Description</th></tr></thead><tbody><tr><td>apikeyprivate</td><td>string</td><td>Yes</td><td>The <strong>Private Key</strong> obtained from the merchant panel.</td></tr><tr><td>apiclientprivate</td><td>string</td><td>Yes</td><td>The <strong>Private Client</strong> obtained from the merchant panel.</td></tr></tbody></table>

**Response returned from the service:**

<table><thead><tr><th width="156">Parameter</th><th width="83.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>Body</td><td>object</td><td>JSON containing detailed balance information (optional)</td></tr><tr><td>ErrorCode</td><td>int</td><td>Error code. Returns '0' if the operation is successful</td></tr><tr><td>Result</td><td>bool</td><td>Error code. Returns '0' if aReturns true or false. If the operation is successful, it returns true operation is successful</td></tr><tr><td>Message</td><td>string</td><td>If the operation fails, it returns the relevant error message and provides language support based on the locale parameter</td></tr></tbody></table>

{% tabs %}
{% tab title="JSOB" %}
{% code overflow="wrap" lineNumbers="true" %}

```json5
{
    "Value": {
        "Id": "550b5305-2a56-4577-bb2c-dbce55f6cc2a",
        "MerchantId": 2071,
        "EntryType": 1,
        "Value": "stringst****ring",
        "Reason": "string",
        "ExpiresAt": null,
        "IsPermanent": true,
        "CreatedAt": "2026-02-22T16:45:26.6801206Z",
        "IsActive": true
    },
    "IsFailure": false,
    "IsSuccess": true,
    "Error": null
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.paywall.one/payment-orchestration-integration-document/fraud-service/blacklist/1.-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
